<?php	
	/**
	 * @version		1.0.0
	 * @package		Joomla
	 * @subpackage	Edocman
	 * @author  Tuan Pham Ngoc
	 * @copyright	Copyright (C) 2011 Ossolution Team
	 * @license		GNU/GPL, see LICENSE.php
	 */
	 
	defined('_JEXEC') or die ('');	
	$user = & JFactory::getUser();
	require_once JPATH_ADMINISTRATOR.'/components/com_edocman/helpers/edocman.php';
	EdocmanHelper::loadLanguage();	
	$db = & JFactory::getDBO();		
	$numberCategories = $params->get('number_categories', 0);
	$sql = 	 'SELECT a.id, a.title  FROM #__edocman_categories AS a  WHERE '
			.' a.published=1 AND a.access IN ('.implode(',', $user->getAuthorisedViewLevels()).')'			
			.' ORDER BY a.ordering '
			.( $numberCategories ? ' LIMIT '.$numberCategories : '')
	;	
	$db->setQuery($sql) ;	
	$rows = $db->loadObjectList() ;
	$itemId = (int) $params->get('item_id');
	if (!$itemId)
		$itemId = EdocmanHelper::getItemid();		
	require(JModuleHelper::getLayoutPath('mod_edocman_categories', 'default'));
?>